Deliverability API · Alpha / unstable
Retrieve the traffic time series
GET
/timeseries
const url = 'https://api.builders.ac/api/deliverability/v1alpha1/timeseries?range=1h';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.builders.ac/api/deliverability/v1alpha1/timeseries?range=1h' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”range
string
Time window. Defaults to 7d.
sender_id
string
Restrict data to one sender owned by the authenticated account.
domain_id
string
Restrict data to one domain owned by the authenticated account.
Responses
Section titled “Responses”Traffic time series
Media typeapplication/json
object
trend
required
Array<object>
object
day
required
string
date
string format: date
state
string
sent
integer | null
received
integer | null
outreach
integer | null
warmup
integer | null
reply
integer | null
autoresponse
integer | null
other
integer | null
system
integer | null
meta
required
object
range
string
granularity
string
classification_since
string format: date-time
computed_at
string format: date-time
tenants
array | object | null
Example
{ "meta": { "range": "1h", "granularity": "hour" }}RFC 9457 problem details
Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "retryable": true, "correlation_id": "example", "retry_after": "2026-04-15T12:00:00Z", "errors": { "additionalProperty": [ "example" ] }}RFC 9457 problem details
Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "retryable": true, "correlation_id": "example", "retry_after": "2026-04-15T12:00:00Z", "errors": { "additionalProperty": [ "example" ] }}RFC 9457 problem details
Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "retryable": true, "correlation_id": "example", "retry_after": "2026-04-15T12:00:00Z", "errors": { "additionalProperty": [ "example" ] }}RFC 9457 problem details
Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "retryable": true, "correlation_id": "example", "retry_after": "2026-04-15T12:00:00Z", "errors": { "additionalProperty": [ "example" ] }}RFC 9457 problem details
Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "retryable": true, "correlation_id": "example", "retry_after": "2026-04-15T12:00:00Z", "errors": { "additionalProperty": [ "example" ] }}RFC 9457 problem details
Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "retryable": true, "correlation_id": "example", "retry_after": "2026-04-15T12:00:00Z", "errors": { "additionalProperty": [ "example" ] }}RFC 9457 problem details
Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "retryable": true, "correlation_id": "example", "retry_after": "2026-04-15T12:00:00Z", "errors": { "additionalProperty": [ "example" ] }}